<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/App/App.Master" CodeBehind="Queries.aspx.cs" Inherits="Researcher.App.Queries" %>
<%@ Register TagPrefix="ig" Namespace="Infragistics.Web.UI.LayoutControls" Assembly="Infragistics2.Web.v8.3, Version=8.3.20083.2059, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<%@ Register TagPrefix="igtblexp" Namespace="Infragistics.WebUI.UltraWebGrid.ExcelExport" Assembly="Infragistics2.WebUI.UltraWebGrid.ExcelExport.v8.3, Version=8.3.20083.2059, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<%@ Register Assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" Namespace="System.Web.UI" TagPrefix="asp" %>
<%@ Register tagprefix="igcmbo" namespace="Infragistics.WebUI.WebCombo" Assembly="Infragistics2.WebUI.WebCombo.v8.3, Version=8.3.20083.2059, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<%@ Register tagprefix="igtbl" namespace="Infragistics.WebUI.UltraWebGrid" Assembly="Infragistics2.WebUI.UltraWebGrid.v8.3, Version=8.3.20083.2059, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<%@ Register tagprefix="igmisc" namespace="Infragistics.WebUI.Misc" Assembly="Infragistics2.WebUI.Misc.v8.3, Version=8.3.20083.2059, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<%@ Register tagprefix="igtxt" namespace="Infragistics.WebUI.WebDataInput" Assembly="Infragistics2.WebUI.WebDataInput.v8.3, Version=8.3.20083.2059, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<%@ Register tagprefix="igcalc" namespace="Infragistics.WebUI.UltraWebCalcManager" Assembly="Infragistics2.WebUI.UltraWebCalcManager.v8.3, Version=8.3.20083.2059, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>

<asp:Content ContentPlaceHolderID="head" runat="server">
<script type="text/javascript" id="igClientScript">
<!--
    function pickcolor(elm)
    {
        var oColorPicker = document.getElementById('<%= colorpicker1.ClientID %>');
        var hidAltColor = document.getElementById('<%= hidAltColor.ClientID %>');
        var oColor = hidAltColor.value;
        var newColor = window.showModalDialog("/ColorPicker/colorpicker.htm", oColor, "dialogHeight:305px; dialogWidth:550px; status:no; help:no; scroll:no;");
        if (newColor != oColor) 
        {
            hidAltColor.value = newColor;
            oColorPicker.style.backgroundColor = newColor;
            var bRunQry = canRunQuery();
            var oQryRes = document.getElementById("QryResults");
            if (bRunQry && oQryRes.style.display=="block") 
            {
                var warpQryRes = ig_getWebControlById('<%= warpQryResults.ClientID %>');
                if (warpQryRes) warpQryRes.refresh();
            }
        }
    }

    function ddlQueryType_AfterSelectChange(webComboId)
    {
        HideQryResults();
        var oCombo = igcmbo_getComboById(webComboId);
        var iQryType = oCombo.getSelectedIndex();
        var oComps = document.getElementById("Companies");
        var oComp = document.getElementById("Company");
        var oFlds = document.getElementById("Fields");
        var oPage = document.getElementById("Page");
        var oFld = document.getElementById("Field");
        oFld.style.display = "none";
        var oPeriod = document.getElementById("Period");
        var oPivot = ig_getWebControlById('<%= wibPivot.ClientID %>');
        oPivot.setText("Pivot: OFF");
        switch (iQryType)
        {
            case 0:
                oComps.style.display = "block";
                oComp.style.display = "none";
                oFlds.style.display = "block";
                oPage.style.display = "none";
                oPeriod.style.display = "block";
                break;
            case 1:
                oComps.style.display = "none";
                oComp.style.display = "block";
                oFlds.style.display = "block";
                oPage.style.display = "none";
                oPeriod.style.display = "none";
                break;
            case 2:
                oComps.style.display = "block";
                oComp.style.display = "none";
                oFlds.style.display = "none";
                oPage.style.display = "block";
                oPeriod.style.display = "none";
                break
        }
    }

    function warpCompanies_RefreshComplete(oPanel)
    {
        var ddlComps = igcmbo_getComboById('<%= ddlCompanies.ClientID %>');
        ddlComps.setDropDown(true);
    }

    function wibRefreshCompanies_Click(oButton, oEvent)
    {
        var ddlComps = igcmbo_getComboById('<%= ddlCompanies.ClientID %>');
        if (ddlComps.getDropDown()) ddlComps.setDropDown(false);
        var warpComps = ig_getWebControlById('<%= warpCompanies.ClientID %>');
        if (warpComps) warpComps.refresh();
    }

    function warpFields_RefreshComplete(oPanel)
    {
        var ddlFlds = igcmbo_getComboById('<%= ddlFields.ClientID %>');
        ddlFlds.setDropDown(true);
    }

    function wibRefreshFields_Click(oButton, oEvent)
    {
        var ddlFlds = igcmbo_getComboById('<%= ddlFields.ClientID %>');
        if (ddlFlds.getDropDown()) ddlFlds.setDropDown(false);
        var warpFlds = ig_getWebControlById('<%= warpFields.ClientID %>');
        if (warpFlds) warpFlds.refresh();
    }
    
    function ddlPages_AfterSelectChange(webComboId)
    {
        HideQryResults();
        var ddlFld = igcmbo_getComboById('<%= ddlField.ClientID %>');
        ddlFld.setDataValue("");
        ddlFld.setDisplayValue("");
        var warpFld = ig_getWebControlById('<%= warpField.ClientID %>');
        if (warpFld) warpFld.refresh();
    }

    function warpField_RefreshComplete(oPanel)
    {
        var oFld = document.getElementById("Field");
        oFld.style.display = "block";
    }

    function wibRunQry_Click(oButton, oEvent)
    {
        var bRunQry = canRunQuery();
        if (bRunQry)
        {
            HideQryResults();
            var hidClearFill = document.getElementById('<%= hidClearFillGrid.ClientID %>');
            hidClearFill.value = "Clear";
            var hidFilter = document.getElementById('<%= hidFilter.ClientID %>');
            hidFilter.value = "Clear";
            var oRunQry = ig_getWebControlById('<%= wibRunQry.ClientID %>');
            if (oRunQry) oRunQry.setEnabled(false);
            var warpQryRes = ig_getWebControlById('<%= warpQryResults.ClientID %>');
            if (warpQryRes) warpQryRes.refresh();
        }
        else
        {
            alert('Required fields are not set!  Please choose a value any try again.');
        }
    }

    function canRunQuery() 
    {
        var iComps = igcmbo_getComboById('<%= ddlCompanies.ClientID %>').getSelectedIndex();
        var iFields = igcmbo_getComboById('<%= ddlFields.ClientID %>').getSelectedIndex();
        var iComp = igcmbo_getComboById('<%= ddlCompany.ClientID %>').getSelectedIndex();
        var iPage = igcmbo_getComboById('<%= ddlPages.ClientID %>').getSelectedIndex();
        var iField = igcmbo_getComboById('<%= ddlField.ClientID %>').getSelectedIndex();
        var iPeriod = igcmbo_getComboById('<%= ddlPeriods.ClientID %>').getSelectedIndex();
        var iQryType = igcmbo_getComboById('<%= ddlQueryType.ClientID %>').getSelectedIndex();
        var bRunQry = true;
        switch (iQryType) 
        {
            case 0:
                if (iComps == -1 || iFields == -1 || iPeriod == -1) bRunQry = false;
                break;
            case 1:
                if (iComp == -1 || iFields == -1) bRunQry = false;
                break;
            case 2:
                if (iComps == -1 || iField == -1) bRunQry = false;
                break
        }
        return bRunQry;
    }
    
    function HideQryResults()
    {
        wdwGrpName = $find('<%= wdwGroupName.ClientID %>');
        wdwGrpName.set_windowState($IG.DialogWindowState.Hidden);
        wdwHeadInfo = $find('<%= wdwHeaderInfo.ClientID %>');
        wdwHeadInfo.set_windowState($IG.DialogWindowState.Hidden);
        
        var oQryRes = document.getElementById("QryResults");
        oQryRes.style.display = "none";

        disableButtons();
    }

    function disableButtons()
    {
        var oExcel = ig_getWebControlById('<%= wibExportExcel.ClientID %>');
        if (oExcel) oExcel.setEnabled(false);
        var oMakeGrp = ig_getWebControlById('<%= wibMakeGroup.ClientID %>');
        if (oMakeGrp) oMakeGrp.setEnabled(false);
        var oFilter = ig_getWebControlById('<%= wibFilter.ClientID %>');
        if (oFilter) oFilter.setEnabled(false);
        var oPivot = ig_getWebControlById('<%= wibPivot.ClientID %>');
        if (oPivot) oPivot.setEnabled(false);
        var oTotal = ig_getWebControlById('<%= wibShowTotals.ClientID %>');
        oTotal.setEnabled(false);
        var oRunQry = ig_getWebControlById('<%= wibRunQry.ClientID %>');
        if (oRunQry) oRunQry.setEnabled(true);
    }
    
    function InitializeCombo(webComboId)
    {
        var oCombo=igcmbo_getComboById(webComboId);
        oCombo.setDataValue("");
        oCombo.setDisplayValue("");
    }

    function AfterSelectChange(webComboId)
    {
	    HideQryResults();
    }

    function warpQryResults_InitializePanel(oPanel)
    {
        ig_shared.getCBManager()._timeLimit = 300000;
        var oProgInd = oPanel.getProgressIndicator();
        oProgInd.setLocation = 9;
    }

    function warpQryResults_RefreshRequest(oPanel, oEvent, id) 
    {
        busyBox.Show();
    }

    function warpQryResults_RefreshComplete(oPanel)
    {
        var hidClearFill = document.getElementById('<%= hidClearFillGrid.ClientID %>');
        if (hidClearFill.value == "Clear")
        {
            hidClearFill.value = "Fill";
            var oQryRes = document.getElementById("QryResults");
            oQryRes.style.display = "block";
            oPanel.refresh();
        }
        else 
        {
            disableButtons();
            var ddlQryTyp = igcmbo_getComboById('<%= ddlQueryType.ClientID %>');
            var makeGrp = (ddlQryTyp.getSelectedIndex() == 0);
            var oPivot = ig_getWebControlById('<%= wibPivot.ClientID %>');
            if (oPivot) oPivot.setEnabled(true);
            var notPivot = (oPivot.getText() == "Pivot: OFF");
            var oTotal = ig_getWebControlById('<%= wibShowTotals.ClientID %>');
            if (notPivot) oTotal.setEnabled(true);
            
            var oExcel = ig_getWebControlById('<%= wibExportExcel.ClientID %>');
            if (oExcel) oExcel.setEnabled(true);
            var oMakeGrp = ig_getWebControlById('<%= wibMakeGroup.ClientID %>');
            if (oMakeGrp && makeGrp && notPivot) oMakeGrp.setEnabled(true);
            hidClearFill.value = "";
            var hidFilter = document.getElementById('<%= hidFilter.ClientID %>');
            var hidFilterFailed = document.getElementById('<%= hidFilterFailed.ClientID %>');
            if (hidFilter.value == "Clear")
            {
                hidFilterFailed.value = "";
                var warpFilter = ig_getWebControlById('<%= warpFilter.ClientID %>');
                if (warpFilter) warpFilter.refresh();
            }
            else
            {
                var filter = (ddlQryTyp.getSelectedIndex() != 2);
                var oFilter = ig_getWebControlById('<%= wibFilter.ClientID %>');
                if (oFilter && filter && notPivot) oFilter.setEnabled(true);
                var oRunQry = ig_getWebControlById('<%= wibRunQry.ClientID %>');
                if (oRunQry) oRunQry.setEnabled(true);
                busyBox.Hide();
                if (hidFilterFailed.value != "") alert("Filter Failed!\n\n" + hidFilterFailed.value + "\n\nFilter was not applied.");
            }
        }
    }

    function warpFilter_InitializePanel(oPanel)
    {
        var oProgInd = oPanel.getProgressIndicator();
        oProgInd.setLocation = 9;
    }

    function warpFilter_RefreshRequest(oPanel, oEvent, id)
    {
    }

    function warpFilter_RefreshComplete(oPanel)
    {
        var hidFilter = document.getElementById('<%= hidFilter.ClientID %>');
        var hidClearFill = document.getElementById('<%= hidClearFillGrid.ClientID %>');
        if (hidFilter.value == "PreFilter")
        {
            var ugFilter = igtbl_getGridById('<%= ugFilter.ClientID %>');
            var iRows = ugFilter.Rows.length;
            var oCell = ugFilter.Rows.getRow(iRows - 1).getCell(0);
            if (iRows == 1 && oCell.getValue() == null)
            {
                hidFilter.value = "";
                hidClearFill.value = "";
            }
            else
            {
                hidFilter.value = "Filter";
                hidClearFill.value = "ApplyFilter";
            }
            var warpQryRes = ig_getWebControlById('<%= warpQryResults.ClientID %>');
            if (warpQryRes) warpQryRes.refresh();
        }
        else
        {
            var ddlQryTyp = igcmbo_getComboById('<%= ddlQueryType.ClientID %>');
            var filter = (ddlQryTyp.getSelectedIndex() != 2);
            var oPivot = ig_getWebControlById('<%= wibPivot.ClientID %>');
            var notPivot = (oPivot.getText() == "Pivot: OFF");
            var oFilter = ig_getWebControlById('<%= wibFilter.ClientID %>');
            if (oFilter && filter && notPivot) oFilter.setEnabled(true);
            var oRunQry = ig_getWebControlById('<%= wibRunQry.ClientID %>');
            if (oRunQry) oRunQry.setEnabled(true);
            busyBox.Hide();
        }
    }

    function ddlTotalType_InitializeCombo(webComboId)
    {
        var hidTT = document.getElementById('<%= hidTotalType.ClientID %>');
        var oCombo = igcmbo_getComboById(webComboId);
        oCombo.setDisplayValue(hidTT.value);
        oCombo.setDataValue(hidTT.value, true);
    }

    function ddlTotalType_AfterSelectChange(webComboId) 
    {
        var hidTT = document.getElementById('<%= hidTotalType.ClientID %>');
        var oCombo = igcmbo_getComboById(webComboId);
        hidTT.value = oCombo.getDataValue();
        var oTotal = ig_getWebControlById('<%= wibShowTotals.ClientID %>');
        if (oTotal.getText() == "Totals: ON"  && oTotal.getEnabled() == true)
        {
            var warpQryRes = ig_getWebControlById('<%= warpQryResults.ClientID %>');
            if (warpQryRes) warpQryRes.refresh();
        }
    }

    function wibPivot_Click(oButton, oEvent)
    {
        var oTotal = ig_getWebControlById('<%= wibShowTotals.ClientID %>');
        if (oButton.getText() == "Pivot: OFF")
        {
            oButton.setText("Pivot: ON");
            oTotal.setText("Totals: OFF");
            oTotal.setEnabled(false);
        }
        else
        {
            oButton.setText("Pivot: OFF");
            oTotal.setEnabled(true);
        }
        var warpQryRes = ig_getWebControlById('<%= warpQryResults.ClientID %>');
        if (warpQryRes) warpQryRes.refresh();
    }
        
    function wibShowTotals_Click(oButton, oEvent)
    {
        if (oButton.getText() == "Totals: OFF")
        {
            oButton.setText("Totals: ON");
        }
        else
        {
            oButton.setText("Totals: OFF");
        }
        var warpQryRes = ig_getWebControlById('<%= warpQryResults.ClientID %>');
        if (warpQryRes) warpQryRes.refresh();
    }

    function wibExport_Click(oButton, oEvent)
    {
        var ugQryRes = igtbl_getGridById('<%= ugQryResults.ClientID %>');
        ugQryRes.clearSelectionAll();
    }

    function ugQryResults_CellClick(gridName, cellId, button)
    {
        window.event.returnValue = false;
        window.event.cancelBubble = true;
    }
    
    function ugQryResults_ColumnHeaderClick(gridName, columnId, button)
    {
        if (button == 2)
        {
            var sColPos = columnId.substr(columnId.lastIndexOf("_") + 1);
            var oPivot = ig_getWebControlById('<%= wibPivot.ClientID %>');
            var notPivot = (oPivot.getText() == "Pivot: OFF");
            var ddlQryTyp = igcmbo_getComboById('<%= ddlQueryType.ClientID %>');
            var showDetail = (ddlQryTyp.getSelectedIndex() != 2);
            window.event.returnValue = false;
            window.event.cancelBubble = true;
            if (notPivot && showDetail && sColPos > 1)
            {
                var xPos = 130;
                var yPos = mouseY(window.event);
                var oGrid = igtbl_getGridById(gridName);
                var oCol = igtbl_getColumnById(columnId);
                var sColName = oCol.HeaderText;
                var sColKey = oCol.Key;
                wdwHeadInfo = $find('<%= wdwHeaderInfo.ClientID %>');
                wdwHeadInfo.set_left(xPos + 'px');
                wdwHeadInfo.set_top(yPos + 'px');
                wdwHeadInfo.set_windowState($IG.DialogWindowState.Normal);
                wdwHeadInfo.get_header().setCaptionText(sColName);
                wdwHeadInfo.get_contentPane().set_contentUrl("HeaderInfo.aspx?" + sColKey);
                return true;
            }
        }
    }

    function ugQryResults_ClipboardError(gridName, errorNumber, message, oError)
    {
        var msgError = "An error occurred while trying to copy the data grid." + String.fromCharCode(13, 10) + "Please try again, or contact MSA Research for assistance.";
        alert(msgError);
    }

    function wibMakeGroup_Click(oButton, oEvent)
    {
        wdwGrpName = $find('<%= wdwGroupName.ClientID %>');
        wdwGrpName.set_windowState($IG.DialogWindowState.Normal);
        var oOK = ig_getWebControlById('<%= wibOK.ClientID %>');
        oOK.setEnabled(true);
        var oCancel = ig_getWebControlById('<%= wibCancel.ClientID %>');
        oCancel.setEnabled(true);
    }

    function wibCancel_Click(oButton, oEvent)
    {
        wdwGrpName = $find('<%= wdwGroupName.ClientID %>');
        wdwGrpName.set_windowState($IG.DialogWindowState.Hidden);
    }

    function wibOK_Click(oButton, oEvent)
    {
        var warpGrpName = ig_getWebControlById('<%= warpGroupName.ClientID %>');
        if (warpGrpName)
        {
            busyBox.Show();
            warpGrpName.refresh();
            oButton.setEnabled(false);
            var oCancel = ig_getWebControlById('<%= wibCancel.ClientID %>');
            oCancel.setEnabled(false);
        }
    }

    function warpGroupName_RefreshComplete(oPanel)
    {
        busyBox.Hide();
        var hidGrpExists = document.getElementById('<%= hidGroupExists.ClientID %>');
        if (hidGrpExists.value == "Yes")
        {
            alert("The Company Group already exists.");
        }
        else
        {
            wdwGrpName = $find('<%= wdwGroupName.ClientID %>');
            wdwGrpName.set_windowState($IG.DialogWindowState.Hidden);
        }
        hidGrpExists.value = "";
        var oOK = ig_getWebControlById('<%= wibOK.ClientID %>');
        oOK.setEnabled(true);
        var oCancel = ig_getWebControlById('<%= wibCancel.ClientID %>');
        oCancel.setEnabled(true);
    }

    function wdwHeaderInfo_WindowStateChanging(sender, eventArgs)
    {
        if (eventArgs.get_newWindowState() == 3) sender.get_contentPane().set_contentUrl("about:blank");
    }

    function wibFilter_Click(oButton, oEvent)
    {
        wdwFilter = $find('<%= wdwFilter.ClientID %>');
        wdwFilter.set_windowState($IG.DialogWindowState.Normal);
    }

    function wibApplyFilter_Click(oButton, oEvent)
    {
        wdwFilter = $find('<%= wdwFilter.ClientID %>');
        wdwFilter.set_windowState($IG.DialogWindowState.Hidden);
        var hidFilter = document.getElementById('<%= hidFilter.ClientID %>');
        var ugFilter = igtbl_getGridById('<%= ugFilter.ClientID %>');
        var iRows = ugFilter.Rows.length;
        var oCell = ugFilter.Rows.getRow(iRows - 1).getCell(0);
        if (iRows == 1 && oCell.getValue() == null && hidFilter.value == "")
        {
        }
        else
        {
            hidFilter.value = "PreFilter";
            busyBox.Show();
            var warpFilter = ig_getWebControlById('<%= warpFilter.ClientID %>');
            if (warpFilter) warpFilter.refresh();
        }
    }

    var bClearing = false;
    function wibClearFilter_Click(oButton, oEvent)
    {
        bClearing = true;
        var ugFilter = igtbl_getGridById('<%= ugFilter.ClientID %>');
        var iRows = ugFilter.Rows.length;
        ugFilter.selectRowRegion(ugFilter.Rows.getRow(0), ugFilter.Rows.getRow(iRows - 1));
        ugFilter.deleteSelectedRows();
        var newRow = ugFilter.Rows.addNew();
        var oCell = newRow.getCell(0);
        oCell.setSelected(true);
        oCell.activate();
        bClearing = false;
    }

    function wibCloseFilter_Click(oButton, oEvent)
    {
        wdwFilter = $find('<%= wdwFilter.ClientID %>');
        wdwFilter.set_windowState($IG.DialogWindowState.Hidden);
    }

    function ddlFieldList_AfterSelectChange(webComboId)
    {
        var ddlFldList = igcmbo_getComboById(webComboId);
        var oDataType = ddlFldList.getGrid().getActiveRow().getCell(2).getValue();
        var ugFilter = igtbl_getGridById('<%= ugFilter.ClientID %>');
        var oRow = ugFilter.getActiveRow();
        if (oRow) oRow.getCell(4).setValue(oDataType);
    }

    function ddlValueList_AfterSelectChange(webComboId)
    {
        var ddlValList = igcmbo_getComboById(webComboId);
        var oValFld = ddlValList.getDataValue();
        var ugFilter = igtbl_getGridById('<%= ugFilter.ClientID %>');
        var oRow = ugFilter.getActiveRow();
        var oCell = oRow.getCell(2);
        oCell.setValue(oValFld);
        ddlValList.setDataValue("", false);
        ddlValList.setDisplayValue("", false, false);
        oCell.setSelected(true);
        oCell.activate();
        oCell.beginEdit();
    }

    function ddlAndOr_BeforeSelectChange(webComboId)
    {
        var ddlAndOr = igcmbo_getComboById(webComboId);
        var oAndOr = ddlAndOr.getDataValue();
        var ugFilter = igtbl_getGridById('<%= ugFilter.ClientID %>');
        var iRows = ugFilter.Rows.length - 1;
        var oRow = ugFilter.getActiveRow();
        var iNdx = oRow.getIndex();
        if (iNdx < iRows - 1 && oAndOr == null)
        {
            return true;
        }
        var oFldName = oRow.getCell(0).getValue();
        var oMatch = oRow.getCell(1).getValue();
        var oValue = oRow.getCell(2).getValue();
        if (iNdx == iRows && (oFldName == null || oMatch == null || oValue == null))
        {
            alert("You must fill in all required values (Field, Match and Value) before adding a new filter criteria row.");
            return true;
        }
    }

    function ddlAndOr_AfterSelectChange(webComboId)
    {
        var ddlAndOr = igcmbo_getComboById(webComboId);
        var oAndOr = ddlAndOr.getDataValue();
        var ugFilter = igtbl_getGridById('<%= ugFilter.ClientID %>');
        var iRows = ugFilter.Rows.length - 1;
        var oRow = ugFilter.getActiveRow();
        var iNdx = oRow.getIndex();
        if (iNdx == iRows && oAndOr != null)
        {
            var newRow = ugFilter.Rows.addNew();
            var oCell = newRow.getCell(0);
            oCell.setSelected(true);
            oCell.activate();
        }
        else if (iNdx == iRows - 1 && oAndOr == null)
        {
            var oRow = ugFilter.Rows.getRow(iRows);
            oRow.deleteRow();
        }
    }

    function ugFilter_InitializeLayoutHandler(gridName)
    {
        var ugFilter = igtbl_getGridById('<%= ugFilter.ClientID %>');
        var iRows = ugFilter.Rows.length;
        if (iRows == 0)
        {
            var newRow = ugFilter.Rows.addNew();
            var oCell = newRow.getCell(0);
            oCell.setSelected(true);
            oCell.activate();
        }
    }

    var delRowId;
    function ugFilter_BeforeRowDeletedHandler(gridName, rowId)
    {
        delRowId = igtbl_getRowById(rowId).getIndex();
    }

    function ugFilter_AfterRowDeletedHandler(gridName, rowId)
    {
        if (bClearing) return true;
        var ugFilter = igtbl_getGridById('<%= ugFilter.ClientID %>');
        var iRows = ugFilter.Rows.length;
        var oRow = ugFilter.Rows.getRow(delRowId - 1);
        var oAndOr = oRow.getCell(3).getValue();
        if (iRows == 0 || (iRows == delRowId && oAndOr != null))
        {
            var newRow = ugFilter.Rows.addNew();
            var oCell = newRow.getCell(0);
            oCell.setSelected(true);
            oCell.activate();
        }
    }
// -->
</script>
</asp:Content>
<asp:Content ContentPlaceHolderID="body" runat="server">
    <table border="1px" cellpadding="1px" cellspacing="0px" class="style1" width="100%">
        <tr>
            <td width="450px" align="left" valign="top">
                <table border="0px" cellpadding="1px" cellspacing="0px" class="style1" width="100%">
                    <tr>
                        <th colspan="2">Search Criteria</th>
                    </tr>
                    <tr>
                        <td width="40px" align="right">Query:</td>
                        <td width="400px" align="left" colspan="2">
                            <igcmbo:WebCombo id="ddlQueryType" runat="server" backcolor="White" bordercolor="Silver"
                                borderstyle="Solid" borderwidth="1px" font-names="Microsoft Sans Serif" font-size="XX-Small"
                                forecolor="Black" height="18px" selbackcolor="WhiteSmoke" selforecolor="Black"
                                tabindex="2" version="4.00" Width="350px" Editable="True">
                                <Columns>
                                    <igtbl:UltraGridColumn>
                                        <Header Caption="Column0">
                                        </Header>
                                    </igtbl:UltraGridColumn>
                                </Columns>
                                <ExpandEffects ShadowColor="LightGray" Type="Fade" ShadowWidth="5"></ExpandEffects>
                                <DropDownLayout BorderCollapse="Separate" RowHeightDefault="18px" 
                                    Version="4.00" DropdownHeight="50%" DropdownWidth="350px" 
                                    ColHeadersVisible="No" BaseTableName="" RowSelectors="No" 
                                    ColWidthDefault="325px">
                                    <FrameStyle Cursor="Auto" BackColor="WhiteSmoke" BorderWidth="2px" 
                                            BorderStyle="Ridge" Font-Names="Microsoft Sans Serif" 
                                        Font-Size="XX-Small" Width="350px" Height="50%">
                                    </FrameStyle>
                                    <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                                        <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px"></BorderDetails>
                                    </HeaderStyle>
                                    <RowAlternateStyle BackColor="WhiteSmoke">
                                    </RowAlternateStyle>
                                    <RowStyle BackColor="White" BorderColor="Gray" BorderWidth="1px" 
                                            BorderStyle="Solid" Font-Names="Microsoft Sans Serif" 
                                        Font-Size="XX-Small" Cursor="Default">
                                        <BorderDetails WidthLeft="0px" WidthTop="0px"></BorderDetails>
                                    </RowStyle>
                                    <SelectedRowStyle BackColor="LightGray" ForeColor="Black"></SelectedRowStyle>
                                </DropDownLayout>
                                <ClientSideEvents AfterSelectChange="ddlQueryType_AfterSelectChange" />
                            </igcmbo:WebCombo>
                        </td>
                    </tr>
                    <tr id="Companies" style="display: block;">
                        <td width="40px" align="right">Companies:</td>
                        <td width="350px" align="left">
                            <igmisc:WebAsyncRefreshPanel ID="warpCompanies" runat="server" Height="100%" 
                                Width="100%" OnContentRefresh="warpCompanies_ContentRefresh" TabIndex="-1" RefreshComplete="warpCompanies_RefreshComplete">
                                <igcmbo:WebCombo id="ddlCompanies" runat="server" backcolor="White" bordercolor="Silver"
                                    borderstyle="Solid" borderwidth="1px" font-names="Microsoft Sans Serif" font-size="XX-Small"
                                    forecolor="Black" height="18px" selbackcolor="WhiteSmoke" selforecolor="Black"
                                    tabindex="2" version="4.00" Width="350px" Editable="True" 
                                    OnInitializeRow="ddlCompanies_InitializeRow">
                                    <Columns>
                                        <igtbl:UltraGridColumn>
                                            <Header Caption="Column0">
                                            </Header>
                                        </igtbl:UltraGridColumn>
                                    </Columns>
                                    <ExpandEffects ShadowColor="LightGray" Type="Fade" ShadowWidth="5"></ExpandEffects>
                                    <DropDownLayout BorderCollapse="Separate" RowHeightDefault="18px" 
                                        Version="4.00" DropdownHeight="50%" DropdownWidth="350px" 
                                        ColHeadersVisible="No" BaseTableName="" RowSelectors="No" 
                                        ColWidthDefault="330px">
                                        <FrameStyle Cursor="Auto" BackColor="WhiteSmoke" BorderWidth="2px" 
                                                BorderStyle="Ridge" Font-Names="Microsoft Sans Serif" 
                                            Font-Size="XX-Small" Height="50%" Width="350px">
                                        </FrameStyle>
                                        <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                                            <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px"></BorderDetails>
                                        </HeaderStyle>
                                        <RowAlternateStyle BackColor="WhiteSmoke">
                                        </RowAlternateStyle>
                                        <RowStyle BackColor="White" BorderColor="Gray" BorderWidth="1px" 
                                                BorderStyle="Solid" Font-Names="Microsoft Sans Serif" 
                                            Font-Size="XX-Small" Cursor="Default">
                                            <BorderDetails WidthLeft="0px" WidthTop="0px"></BorderDetails>
                                        </RowStyle>
                                        <SelectedRowStyle BackColor="LightGray" ForeColor="Black"></SelectedRowStyle>
                                    </DropDownLayout>
                                    <ClientSideEvents AfterSelectChange="AfterSelectChange" InitializeCombo="InitializeCombo" />
                                </igcmbo:WebCombo>
                             </igmisc:WebAsyncRefreshPanel>
                        </td>
                        <td width="50px" align="left">
                            <igtxt:WebImageButton ID="wibRefreshCompanies" runat="server" AutoSubmit="False" 
                                UseBrowserDefaults="False" ImageDirectory="/ig_res/Default/images/" 
                                Text="Refresh">
                                <Appearance>
                                    <ButtonStyle Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" 
                                        Cursor="Default">
                                    </ButtonStyle>
                                </Appearance>
                                <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                                    FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                                    ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                                    PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                                <ClientSideEvents Click="wibRefreshCompanies_Click" />
                            </igtxt:WebImageButton>
                        </td>
                    </tr>
                    <tr id="Company" style="display: none;">
                        <td width="40px" align="right">Company:</td>
                        <td width="400px" align="left" colspan="2">
                            <igcmbo:WebCombo id="ddlCompany" runat="server" backcolor="White" bordercolor="Silver"
                                borderstyle="Solid" borderwidth="1px" font-names="Microsoft Sans Serif" font-size="XX-Small"
                                forecolor="Black" height="18px" selbackcolor="WhiteSmoke" selforecolor="Black"
                                tabindex="2" version="4.00" Width="350px" Editable="True">
                                <Columns>
                                    <igtbl:UltraGridColumn>
                                        <Header Caption="Column0">
                                        </Header>
                                    </igtbl:UltraGridColumn>
                                </Columns>
                                <ExpandEffects ShadowColor="LightGray" Type="Fade" ShadowWidth="5"></ExpandEffects>
                                <DropDownLayout BorderCollapse="Separate" RowHeightDefault="18px" 
                                    Version="4.00" DropdownHeight="50%" DropdownWidth="350px" 
                                    ColHeadersVisible="No" BaseTableName="" RowSelectors="No" 
                                    ColWidthDefault="325px">
                                    <FrameStyle Cursor="Auto" BackColor="WhiteSmoke" BorderWidth="2px" 
                                            BorderStyle="Ridge" Font-Names="Microsoft Sans Serif" 
                                        Font-Size="XX-Small" Height="50%" Width="350px">
                                    </FrameStyle>
                                    <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                                        <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px"></BorderDetails>
                                    </HeaderStyle>
                                    <RowAlternateStyle BackColor="WhiteSmoke">
                                    </RowAlternateStyle>
                                    <RowStyle BackColor="White" BorderColor="Gray" BorderWidth="1px" 
                                            BorderStyle="Solid" Font-Names="Microsoft Sans Serif" 
                                        Font-Size="XX-Small" Cursor="Default">
                                        <BorderDetails WidthLeft="0px" WidthTop="0px"></BorderDetails>
                                    </RowStyle>
                                    <SelectedRowStyle BackColor="LightGray" ForeColor="Black"></SelectedRowStyle>
                                </DropDownLayout>
                                <ClientSideEvents AfterSelectChange="AfterSelectChange" InitializeCombo="InitializeCombo" />
                            </igcmbo:WebCombo>
                        </td>
                    </tr>
                    <tr id="Fields" style="display: block;">
                        <td width="40px" align="right">Fields:</td>
                        <td width="350px" align="left">
                            <igmisc:WebAsyncRefreshPanel ID="warpFields" runat="server" Height="100%" 
                                Width="100%" OnContentRefresh="warpFields_ContentRefresh" TabIndex="-1" RefreshComplete="warpFields_RefreshComplete">
                                <igcmbo:WebCombo id="ddlFields" runat="server" backcolor="White" bordercolor="Silver"
                                    borderstyle="Solid" borderwidth="1px" font-names="Microsoft Sans Serif" font-size="XX-Small"
                                    forecolor="Black" height="18px" selbackcolor="WhiteSmoke" selforecolor="Black"
                                    tabindex="2" version="4.00" Width="350px" Editable="True" 
                                    OnInitializeRow="ddlFields_InitializeRow">
                                    <Columns>
                                        <igtbl:UltraGridColumn>
                                            <Header Caption="Column0">
                                            </Header>
                                        </igtbl:UltraGridColumn>
                                    </Columns>
                                    <ExpandEffects ShadowColor="LightGray" Type="Fade" ShadowWidth="5"></ExpandEffects>
                                    <DropDownLayout BorderCollapse="Separate" RowHeightDefault="18px" 
                                        Version="4.00" DropdownHeight="50%" DropdownWidth="350px" 
                                        ColHeadersVisible="No" BaseTableName="" RowSelectors="No" 
                                        ColWidthDefault="325px">
                                        <FrameStyle Cursor="Auto" BackColor="WhiteSmoke" BorderWidth="2px" 
                                                BorderStyle="Ridge" Font-Names="Microsoft Sans Serif" 
                                            Font-Size="XX-Small" Height="50%" Width="350px">
                                        </FrameStyle>
                                        <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                                            <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px"></BorderDetails>
                                        </HeaderStyle>
                                        <RowAlternateStyle BackColor="WhiteSmoke">
                                        </RowAlternateStyle>
                                        <RowStyle BackColor="White" BorderColor="Gray" BorderWidth="1px" 
                                                BorderStyle="Solid" Font-Names="Microsoft Sans Serif" 
                                            Font-Size="XX-Small" Cursor="Default">
                                            <BorderDetails WidthLeft="0px" WidthTop="0px"></BorderDetails>
                                        </RowStyle>
                                        <SelectedRowStyle BackColor="LightGray" ForeColor="Black"></SelectedRowStyle>
                                    </DropDownLayout>
                                    <ClientSideEvents AfterSelectChange="AfterSelectChange" InitializeCombo="InitializeCombo" />
                                </igcmbo:WebCombo>
                            </igmisc:WebAsyncRefreshPanel>
                        </td>
                        <td width="50px" align="right">
                            <igtxt:WebImageButton ID="wibRefreshFields" runat="server" AutoSubmit="False" 
                                UseBrowserDefaults="False" ImageDirectory="/ig_res/Default/images/" 
                                Text="Refresh">
                                <Appearance>
                                    <ButtonStyle Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" 
                                        Cursor="Default">
                                    </ButtonStyle>
                                </Appearance>
                                <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                                    FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                                    ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                                    PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                                <ClientSideEvents Click="wibRefreshFields_Click" />
                            </igtxt:WebImageButton>
                        </td>
                    </tr>
                    <tr id="Page" style="display: none;">
                        <td width="40px" align="right">Page:</td>
                        <td width="400px" align="left" colspan="2">
                            <igcmbo:WebCombo id="ddlPages" runat="server" backcolor="White" bordercolor="Silver"
                                borderstyle="Solid" borderwidth="1px" font-names="Microsoft Sans Serif" font-size="XX-Small"
                                forecolor="Black" height="18px" selbackcolor="WhiteSmoke" selforecolor="Black"
                                tabindex="2" version="4.00" Width="350px" Editable="True">
                                <Columns>
                                    <igtbl:UltraGridColumn>
                                        <Header Caption="Column0">
                                        </Header>
                                    </igtbl:UltraGridColumn>
                                </Columns>
                                <ExpandEffects ShadowColor="LightGray" Type="Fade" ShadowWidth="5"></ExpandEffects>
                                <DropDownLayout BorderCollapse="Separate" RowHeightDefault="18px" 
                                    Version="4.00" DropdownHeight="50%" DropdownWidth="350px" 
                                    ColHeadersVisible="No" BaseTableName="" RowSelectors="No" 
                                    ColWidthDefault="325px">
                                    <FrameStyle Cursor="Auto" BackColor="WhiteSmoke" BorderWidth="2px" 
                                            BorderStyle="Ridge" Font-Names="Microsoft Sans Serif" 
                                        Font-Size="XX-Small" Height="50%" Width="350px">
                                    </FrameStyle>
                                    <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                                        <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px"></BorderDetails>
                                    </HeaderStyle>
                                    <RowAlternateStyle BackColor="WhiteSmoke">
                                    </RowAlternateStyle>
                                    <RowStyle BackColor="White" BorderColor="Gray" BorderWidth="1px" 
                                            BorderStyle="Solid" Font-Names="Microsoft Sans Serif" 
                                        Font-Size="XX-Small" Cursor="Default">
                                        <BorderDetails WidthLeft="0px" WidthTop="0px"></BorderDetails>
                                    </RowStyle>
                                    <SelectedRowStyle BackColor="LightGray" ForeColor="Black"></SelectedRowStyle>
                                </DropDownLayout>
                                <ClientSideEvents AfterSelectChange="ddlPages_AfterSelectChange" InitializeCombo="InitializeCombo" />
                            </igcmbo:WebCombo>
                        </td>
                    </tr>
                    <tr id="Field" style="display: none;">
                        <td width="40px" align="right">Field:</td>
                        <td width="400px" align="left" colspan="2">
                            <igmisc:WebAsyncRefreshPanel ID="warpField" runat="server" Height="100%" 
                                Width="100%" OnContentRefresh="warpField_ContentRefresh" TabIndex="-1" 
                                RefreshComplete="warpField_RefreshComplete">
                                <igcmbo:WebCombo id="ddlField" runat="server" backcolor="White" bordercolor="Silver"
                                    borderstyle="Solid" borderwidth="1px" font-names="Microsoft Sans Serif" font-size="XX-Small"
                                    forecolor="Black" height="18px" selbackcolor="WhiteSmoke" selforecolor="Black"
                                    tabindex="2" version="4.00" Width="350px" Editable="True" 
                                    OnInitializeRow="ddlField_InitializeRow">
                                    <Columns>
                                        <igtbl:UltraGridColumn>
                                            <Header Caption="Column0">
                                            </Header>
                                        </igtbl:UltraGridColumn>
                                    </Columns>
                                    <ExpandEffects ShadowColor="LightGray" Type="Fade" ShadowWidth="5"></ExpandEffects>
                                    <DropDownLayout BorderCollapse="Separate" RowHeightDefault="18px" 
                                        Version="4.00" DropdownHeight="50%" DropdownWidth="350px" 
                                        ColHeadersVisible="No" BaseTableName="" RowSelectors="No" 
                                        ColWidthDefault="325px">
                                        <FrameStyle Cursor="Auto" BackColor="WhiteSmoke" BorderWidth="2px" 
                                                BorderStyle="Ridge" Font-Names="Microsoft Sans Serif" 
                                            Font-Size="XX-Small" Height="50%" Width="350px">
                                        </FrameStyle>
                                        <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                                            <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px"></BorderDetails>
                                        </HeaderStyle>
                                        <RowAlternateStyle BackColor="WhiteSmoke">
                                        </RowAlternateStyle>
                                        <RowStyle BackColor="White" BorderColor="Gray" BorderWidth="1px" 
                                                BorderStyle="Solid" Font-Names="Microsoft Sans Serif" 
                                            Font-Size="XX-Small" Cursor="Default">
                                            <BorderDetails WidthLeft="0px" WidthTop="0px"></BorderDetails>
                                        </RowStyle>
                                        <SelectedRowStyle BackColor="LightGray" ForeColor="Black"></SelectedRowStyle>
                                    </DropDownLayout>
                                <ClientSideEvents AfterSelectChange="AfterSelectChange" InitializeCombo="InitializeCombo" />
                                </igcmbo:WebCombo>
                            </igmisc:WebAsyncRefreshPanel>
                        </td>
                    </tr>
                    <tr id="Period" style="display: block;">
                        <td width="40px" align="right">Period:</td>
                        <td width="400px" align="left" colspan="2">
                            <igcmbo:WebCombo id="ddlPeriods" runat="server" backcolor="White" bordercolor="Silver"
                                borderstyle="Solid" borderwidth="1px" font-names="Microsoft Sans Serif" font-size="XX-Small"
                                forecolor="Black" height="18px" selbackcolor="WhiteSmoke" selforecolor="Black"
                                tabindex="2" version="4.00" Width="350px" Editable="True">
                                <Columns>
                                    <igtbl:UltraGridColumn>
                                        <Header Caption="Column0">
                                        </Header>
                                    </igtbl:UltraGridColumn>
                                </Columns>
                                <ExpandEffects ShadowColor="LightGray" Type="Fade" ShadowWidth="5"></ExpandEffects>
                                <DropDownLayout BorderCollapse="Separate" RowHeightDefault="18px" 
                                    Version="4.00" DropdownHeight="50%" DropdownWidth="350px" 
                                    ColHeadersVisible="No" BaseTableName="" RowSelectors="No" 
                                    ColWidthDefault="325px">
                                    <FrameStyle Cursor="Auto" BackColor="WhiteSmoke" BorderWidth="2px" 
                                            BorderStyle="Ridge" Font-Names="Microsoft Sans Serif" 
                                        Font-Size="XX-Small" Height="50%" Width="350px">
                                    </FrameStyle>
                                    <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                                        <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px"></BorderDetails>
                                    </HeaderStyle>
                                    <RowAlternateStyle BackColor="WhiteSmoke">
                                    </RowAlternateStyle>
                                    <RowStyle BackColor="White" BorderColor="Gray" BorderWidth="1px" 
                                            BorderStyle="Solid" Font-Names="Microsoft Sans Serif" 
                                        Font-Size="XX-Small" Cursor="Default">
                                        <BorderDetails WidthLeft="0px" WidthTop="0px"></BorderDetails>
                                    </RowStyle>
                                    <SelectedRowStyle BackColor="LightGray" ForeColor="Black"></SelectedRowStyle>
                                </DropDownLayout>
                                <ClientSideEvents AfterSelectChange="AfterSelectChange" InitializeCombo="InitializeCombo" />
                            </igcmbo:WebCombo>
                        </td>
                    </tr>
                </table>
            </td>
            <td width="200px" align="left" valign="top">
                <table border="0px" cellpadding="1px" cellspacing="0px" class="style1">
                    <tr>
                        <th colspan="2">Results Formatting</th>
                    </tr>
                    <tr>
                        <td width="100px" align="right">Total Type:</td>
                        <td width="100px" align="left">
                            <igcmbo:WebCombo id="ddlTotalType" runat="server" backcolor="White" bordercolor="Silver"
                                borderstyle="Solid" borderwidth="1px" font-names="Microsoft Sans Serif" font-size="XX-Small"
                                forecolor="Black" height="18px" selbackcolor="WhiteSmoke" selforecolor="Black"
                                tabindex="2" version="4.00" Width="100px" Editable="True">
                                <Columns>
                                    <igtbl:UltraGridColumn>
                                        <Header Caption="Column0">
                                        </Header>
                                    </igtbl:UltraGridColumn>
                                </Columns>
                                <ExpandEffects ShadowColor="LightGray" Type="Fade" ShadowWidth="5"></ExpandEffects>
                                <DropDownLayout BorderCollapse="Separate" RowHeightDefault="18px" 
                                    Version="4.00" DropdownHeight="" DropdownWidth="" 
                                    ColHeadersVisible="No" BaseTableName="" RowSelectors="No">
                                    <FrameStyle Cursor="Default" BackColor="WhiteSmoke" BorderWidth="2px" 
                                            BorderStyle="Ridge" Font-Names="Microsoft Sans Serif" 
                                        Font-Size="XX-Small">
                                    </FrameStyle>
                                    <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                                        <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px"></BorderDetails>
                                    </HeaderStyle>
                                    <RowAlternateStyle BackColor="WhiteSmoke" Cursor="Default">
                                    </RowAlternateStyle>
                                    <RowSelectorStyle Cursor="Default">
                                    </RowSelectorStyle>
                                    <RowStyle BackColor="White" BorderColor="Gray" BorderWidth="1px" 
                                            BorderStyle="Solid" Font-Names="Microsoft Sans Serif" 
                                        Font-Size="XX-Small" Cursor="Default">
                                        <BorderDetails WidthLeft="0px" WidthTop="0px"></BorderDetails>
                                    </RowStyle>
                                    <SelectedRowStyle BackColor="LightGray" ForeColor="Black"></SelectedRowStyle>
                                </DropDownLayout>
                                <ClientSideEvents InitializeCombo="ddlTotalType_InitializeCombo" AfterSelectChange="ddlTotalType_AfterSelectChange" />
                            </igcmbo:WebCombo>
                        </td>
                    </tr>
                    <tr>
                        <td width="100px" align="right">Alt. Row Colour:</td>
                        <td width="100px" align="left">
                            <input id="colorpicker1" type="text" runat="server" onclick="pickcolor(this)" 
                                readonly="readonly" class="style1" 
                                style="border-style: solid; border-width: 1px; width: 50px; height: 18px; cursor: hand; vertical-align: middle;" />
                        </td>
                    </tr>
                    <tr>
                        <td width="100px" align="center">
                            <igtxt:WebImageButton ID="wibShowTotals" runat="server" AutoSubmit="False" 
                                UseBrowserDefaults="False" ImageDirectory="/ig_res/Default/images/" 
                                Text="Totals: ON" Enabled="False">
                                <Appearance>
                                    <ButtonStyle Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" 
                                        Cursor="Default">
                                    </ButtonStyle>
                                </Appearance>
                                <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                                    FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                                    ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                                    PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                                <ClientSideEvents Click="wibShowTotals_Click" />
                            </igtxt:WebImageButton>
                        </td>
                        <td width="100px" align="center">
                            <igtxt:WebImageButton ID="wibPivot" runat="server" AutoSubmit="False" 
                                UseBrowserDefaults="False" ImageDirectory="/ig_res/Default/images/" 
                                Text="Pivot: OFF" Enabled="False">
                                <Appearance>
                                    <ButtonStyle Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" 
                                        Cursor="Default">
                                    </ButtonStyle>
                                </Appearance>
                                <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                                    FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                                    ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                                    PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                                <ClientSideEvents Click="wibPivot_Click" />
                            </igtxt:WebImageButton>
                        </td>
                    </tr>
                </table>
            </td>
            <td width="*" align="left" valign="top">
                <table border="0px" cellpadding="1px" cellspacing="0px" class="style1">
                    <tr>
                        <th>Other Actions</th>
                    </tr>
                    <tr>
                        <td width="100%" align="left">
                            <igtxt:WebImageButton ID="wibExportExcel" runat="server" 
                                UseBrowserDefaults="False" ImageDirectory="/ig_res/Default/images/" 
                                Text="Export to Excel" Enabled="False" OnClick="wibExportExcel_Click">
                                <Appearance>
                                    <ButtonStyle Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" 
                                        Cursor="Default">
                                    </ButtonStyle>
                                </Appearance>
                                <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                                    FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                                    ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                                    PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                                <ClientSideEvents Click="wibExport_Click" />
                            </igtxt:WebImageButton>
                        </td>
                    </tr>
                    <tr>
                        <td width="100%" align="left">
                            <igtxt:WebImageButton ID="wibMakeGroup" runat="server" AutoSubmit="False" 
                                UseBrowserDefaults="False" ImageDirectory="/ig_res/Default/images/" 
                                Text="Make Group from Query" Enabled="False">
                                <Appearance>
                                    <ButtonStyle Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" 
                                        Cursor="Default">
                                    </ButtonStyle>
                                </Appearance>
                                <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                                    FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                                    ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                                    PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                                <ClientSideEvents Click="wibMakeGroup_Click" />
                            </igtxt:WebImageButton>
                        </td>
                    </tr>
                    <tr>
                        <td width="100%" align="left">
                            <igtxt:WebImageButton ID="wibFilter" runat="server" AutoSubmit="False" 
                                UseBrowserDefaults="False" ImageDirectory="/ig_res/Default/images/" 
                                Text="Filter" Enabled="False">
                                <Appearance>
                                    <ButtonStyle Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" 
                                        Cursor="Default">
                                    </ButtonStyle>
                                </Appearance>
                                <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                                    FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                                    ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                                    PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                                <ClientSideEvents Click="wibFilter_Click" />
                            </igtxt:WebImageButton>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <igtxt:WebImageButton ID="wibRunQry" runat="server" 
                    ImageDirectory="~/ig_res/Default/images/" Text="Run Query" 
                    UseBrowserDefaults="False" TabIndex="-1" 
                    AutoSubmit="False">
                    <Appearance>
                        <ButtonStyle Cursor="Default" Font-Names="Microsoft Sans Serif" 
                            Font-Size="XX-Small">
                        </ButtonStyle>
                    </Appearance>
                    <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                        FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                        ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                        PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                    <ClientSideEvents Click="wibRunQry_Click" />
                </igtxt:WebImageButton>
            </td>
        </tr>
    </table>
    <!-- Query Results Grid -->
    <table id="QryResults" border="1px" cellpadding="0px" cellspacing="0px" class="style1" width="100%" style="display: none;">
        <tr>
            <td>
                <igmisc:WebAsyncRefreshPanel ID="warpQryResults" runat="server" Height="400px"
                    Width="100%" OnContentRefresh="warpQryResults_ContentRefresh" TabIndex="-1" 
                    RefreshComplete="warpQryResults_RefreshComplete" BorderStyle="None" 
                    Overflow="Hidden" Wrap="False" 
                    InitializePanel="warpQryResults_InitializePanel" 
                    RefreshRequest="warpQryResults_RefreshRequest">
                    <igtbl:UltraWebGrid ID="ugQryResults" runat="server" Height="100%" Width="100%" 
                        OnInitializeLayout="ugQryResults_InitializeLayout" 
                        OnDataBinding="ugQryResults_DataBinding" OnInitializeRow="ugQryResults_InitializeRow" 
                        ImageDirectory="~/ig_res/Default/images/" TabIndex="-1">
                        <bands>
                            <igtbl:UltraGridBand>
                                <addnewrow view="NotSet" visible="NotSet">
                                </addnewrow>
                            </igtbl:UltraGridBand>
                        </bands>
                        <displaylayout 
                            name="ugQryResults" rowheightdefault="18px" selecttypecelldefault="Extended" 
                            selecttypecoldefault="Extended" selecttyperowdefault="Extended" 
                            version="4.00" GridLinesDefault="None" 
                            IndentationDefault="0" RowSelectorsDefault="No" 
                            sortcasesensitivedefault="False" 
                            TableLayout="Fixed" FixedColumnScrollType="Pixel" NoDataMessage="" 
                            BorderCollapseDefault="Separate">
                            <framestyle backcolor="White" BorderColor="LightGray" borderstyle="Solid" borderwidth="1px" 
                                font-names="Microsoft Sans Serif" font-size="X-Small" height="100%" 
                                width="100%">
                                <Padding Left="3px" Right="3px" />
                            </framestyle>
                            <Images ImageDirectory="~/ig_res/Default/images/">
                                <CollapseImage Url="igg_sortAsc.gif" />
                                <FilterAppliedImage Url="ig_tblFilterApplied.gif" />
                                <FilterImage Url="ig_tblFilter.gif" />
                                <ExpandImage Url="igg_sortDesc.gif" />
                                <FixedHeaderOffImage Url="ig_tblFixedOff.gif" />
                                <FixedHeaderOnImage Url="ig_tblFixedOn.gif" />
                            </Images>
                            <RowAlternateStyleDefault bordercolor="WhiteSmoke" borderstyle="Solid" 
                                borderwidth="1px" Font-Bold="False" 
                                font-names="Microsoft Sans Serif" font-size="X-Small" 
                                VerticalAlign="Middle">
                                <Padding Left="3px" Right="3px" />
                            </RowAlternateStyleDefault>
                            <ClientSideEvents ClipboardError="ugQryResults_ClipboardError" CellClickHandler="ugQryResults_CellClick" ColumnHeaderClickHandler="ugQryResults_ColumnHeaderClick" />
                            <pager>
                                <PagerStyle BackColor="LightGray" BorderStyle="Solid" BorderWidth="1px" />
                            </pager>
                            <FooterStyleDefault backcolor="Yellow" bordercolor="LightGray" borderstyle="Solid" 
                                borderwidth="1px" Font-Bold="True" 
                                font-names="Microsoft Sans Serif" font-size="X-Small" Cursor="Hand" 
                                HorizontalAlign="Right" VerticalAlign="Middle">
                                <Padding Left="3px" Right="3px" />
                            </FooterStyleDefault>
                            <headerstyledefault backcolor="LightGray" bordercolor="WhiteSmoke" borderstyle="Solid" 
                                borderwidth="1px" Font-Bold="True" 
                                font-names="Microsoft Sans Serif" font-size="X-Small" Cursor="Hand" 
                                HorizontalAlign="Left" VerticalAlign="Middle">
                                <Padding Left="3px" Right="3px" />
                            </headerstyledefault>
                            <RowStyleDefault bordercolor="LightGray" borderstyle="Solid" 
                                borderwidth="1px" Font-Bold="False" 
                                font-names="Microsoft Sans Serif" font-size="X-Small" 
                                VerticalAlign="Middle">
                                <Padding Left="3px" Right="3px" />
                            </RowStyleDefault>
                            <SelectedRowStyleDefault backcolor="#9FBEEB" bordercolor="#9FBEEB" borderstyle="Solid" 
                                borderwidth="1px" Font-Bold="False" 
                                font-names="Microsoft Sans Serif" font-size="X-Small" 
                                HorizontalAlign="Right" VerticalAlign="Middle">
                                <Padding Left="3px" Right="3px" />
                            </SelectedRowStyleDefault>
                            <GroupByBox Hidden="True">
                            </GroupByBox>
                            <addnewbox>
                                <boxstyle backcolor="LightGray" borderstyle="Solid" borderwidth="1px" 
                                    Font-Names="Microsoft Sans Serif" Font-Size="X-Small">
                                </boxstyle>
                            </addnewbox>
                            <activationobject bordercolor="#9FBEEB" borderwidth="1px" borderstyle="Solid">
                            </activationobject>
                            <FixedHeaderStyleDefault backcolor="DarkGray" bordercolor="WhiteSmoke" borderstyle="Solid" 
                                borderwidth="1px" Font-Bold="True" 
                                font-names="Microsoft Sans Serif" font-size="X-Small" Cursor="Hand" 
                                HorizontalAlign="Left" VerticalAlign="Middle">
                                <Padding Left="3px" Right="3px" />
                            </FixedHeaderStyleDefault>
                            <FixedFooterStyleDefault backcolor="Yellow" bordercolor="WhiteSmoke" borderstyle="Solid" 
                                borderwidth="1px" Font-Bold="True" 
                                font-names="Microsoft Sans Serif" font-size="X-Small" Cursor="Hand" 
                                HorizontalAlign="Right" VerticalAlign="Middle">
                                <Padding Left="3px" Right="3px" />
                            </FixedFooterStyleDefault>
                            <AddNewRowDefault>
                                <RowStyle backcolor="White" bordercolor="LightGray" borderstyle="Solid" 
                                borderwidth="1px" Font-Bold="False" 
                                font-names="Microsoft Sans Serif" font-size="X-Small" 
                                HorizontalAlign="Right" VerticalAlign="Middle" />
                            </AddNewRowDefault>
                        </displaylayout>
                    </igtbl:UltraWebGrid>
                    <!-- Calculation Manager for Column Totalling, Calculated Fields and Filter Processing -->
                    <igcalc:UltraWebCalcManager ID="UltraWebCalcManager1" runat="server">
                    </igcalc:UltraWebCalcManager>
                    <!-- Query Results Grid Excel Export -->
                    <igtblexp:UltraWebGridExcelExporter ID="UltraWebGridExcelExporter1" runat='server'>
                    </igtblexp:UltraWebGridExcelExporter>
                    <asp:HiddenField ID="hidAltColor" runat="server" />
                    <asp:HiddenField ID="hidFilterFailed" runat="server" />
                </igmisc:WebAsyncRefreshPanel> 
            </td>
        </tr>
    </table>
    <asp:HiddenField ID="hidTotalType" runat="server" />
    <asp:HiddenField ID="hidClearFillGrid" runat="server" Value="Fill" />
    <asp:HiddenField ID="hidFilter" runat="server" />
    <!-- Create Comapny Group Dialog Window -->
    <ig:WebDialogWindow ID="wdwGroupName" runat="server" Height="100px" 
        Width="300px" Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" 
        Modal="True" WindowState="Hidden" InitialLocation="Centered">
        <Header CaptionAlignment="Left" CaptionText="Create Company Group" 
            Font-Names="Microsoft Sans Serif" Font-Size="XX-Small">
            <CloseBox Visible="False">
            </CloseBox>
        </Header>
        <ContentPane>
            <Template>
                <table border="0px" cellpadding="1px" cellspacing="0px" class="style1" width="100%">
                    <tr>
                        <td align="right" width="80px">Group Name:</td>
                        <td align="left" width="220px">
                            <igtxt:WebTextEdit ID="txtGroupName" 
                                runat="server" BorderColor="Silver" 
                                BorderStyle="Solid" BorderWidth="1px" CellSpacing="1" 
                                UseBrowserDefaults="False" Width="90%" BackColor="White" 
                                Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" Height="18px" 
                                HideEnterKey="True" MaxLength="250" TabIndex="8">
                            </igtxt:WebTextEdit>
                        </td>
                    </tr>
                    <tr>
                        <td align="left" colspan="2">
                            <igtxt:WebImageButton ID="wibOK" runat="server" 
                                ImageDirectory="~/ig_res/Default/images/" Text="OK" 
                                UseBrowserDefaults="False" TabIndex="11" AutoSubmit="False">
                                <Appearance>
                                    <ButtonStyle Cursor="Default" Font-Names="Microsoft Sans Serif" 
                                        Font-Size="XX-Small">
                                    </ButtonStyle>
                                </Appearance>
                                <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                                    FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                                    ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                                    PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                                <ClientSideEvents Click="wibOK_Click" />
                            </igtxt:WebImageButton>
                            <igtxt:WebImageButton ID="wibCancel" runat="server" 
                                ImageDirectory="~/ig_res/Default/images/" Text="Cancel" 
                                UseBrowserDefaults="False" AutoSubmit="False" TabIndex="12">
                                <Appearance>
                                    <ButtonStyle Cursor="Default" Font-Names="Microsoft Sans Serif" 
                                        Font-Size="XX-Small">
                                    </ButtonStyle>
                                </Appearance>
                                <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                                    FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                                    ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                                    PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                                <ClientSideEvents Click="wibCancel_Click" />
                            </igtxt:WebImageButton>
                        </td>
                    </tr>
                </table>
            </Template>
        </ContentPane>
    </ig:WebDialogWindow>
    <!-- Header Information Dialog Window -->
    <ig:WebDialogWindow ID="wdwHeaderInfo" runat="server" Height="300px" 
        Width="400px" Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" 
        WindowState="Hidden">
        <Resizer Enabled="True" />
        <Header CaptionAlignment="Left" CaptionText="Field Detail" 
            Font-Names="Microsoft Sans Serif" Font-Size="XX-Small">
            <CloseBox Visible="True">
            </CloseBox>
        </Header>
        <ClientEvents WindowStateChanging="wdwHeaderInfo_WindowStateChanging" />
        <ContentPane ContentUrl="about:blank" ScrollBars="Hidden">
        </ContentPane>
    </ig:WebDialogWindow>
    <!-- Filter Dialog Window -->
    <ig:WebDialogWindow ID="wdwFilter" runat="server" Height="400px" 
        Width="600px" Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" 
        InitialLocation="Centered" Modal="True" WindowState="Hidden">
        <Header CaptionAlignment="Left" CaptionText="Filter" 
            Font-Names="Microsoft Sans Serif" Font-Size="XX-Small">
            <CloseBox Visible="True">
            </CloseBox>
        </Header>
        <ContentPane ScrollBars="Hidden">
            <Template>
                <igmisc:WebAsyncRefreshPanel ID="warpFilter" runat="server" Height="400px"
                    Width="100%" OnContentRefresh="warpFilter_ContentRefresh" TabIndex="-1" 
                    RefreshComplete="warpFilter_RefreshComplete" BorderStyle="None" 
                    Overflow="Hidden" Wrap="False" 
                    RefreshRequest="warpFilter_RefreshRequest" InitializePanel="warpFilter_InitializePanel">
                    <table border="0px" cellpadding="1px" cellspacing="0px" class="style1" width="100%">
                        <tr>
                            <td align="left" width="280px">
                            </td>
                            <td align="left" width="*">
                                <igcmbo:WebCombo id="ddlValueList" runat="server" backcolor="White" bordercolor="Silver"
                                    borderstyle="Solid" borderwidth="1px" font-names="Microsoft Sans Serif" font-size="XX-Small"
                                    forecolor="Black" height="18px" selbackcolor="WhiteSmoke" selforecolor="Black"
                                    tabindex="2" version="4.00" Width="210px">
                                    <Columns>
                                        <igtbl:UltraGridColumn>
                                            <Header Caption="Column0">
                                            </Header>
                                        </igtbl:UltraGridColumn>
                                    </Columns>
                                    <ExpandEffects ShadowColor="LightGray" Type="Fade" ShadowWidth="5"></ExpandEffects>
                                    <DropDownLayout BorderCollapse="Separate" RowHeightDefault="18px" 
                                        Version="4.00" DropdownHeight="200px" DropdownWidth="210px" 
                                        ColHeadersVisible="No" BaseTableName="" RowSelectors="No" 
                                        ColWidthDefault="205px">
                                        <FrameStyle Cursor="Auto" BackColor="WhiteSmoke" BorderWidth="2px" 
                                                BorderStyle="Ridge" Font-Names="Microsoft Sans Serif" 
                                            Font-Size="XX-Small" Height="200px" Width="210px">
                                        </FrameStyle>
                                        <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                                            <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px"></BorderDetails>
                                        </HeaderStyle>
                                        <RowAlternateStyle BackColor="WhiteSmoke">
                                        </RowAlternateStyle>
                                        <RowStyle BackColor="White" BorderColor="Gray" BorderWidth="1px" 
                                                BorderStyle="Solid" Font-Names="Microsoft Sans Serif" 
                                            Font-Size="XX-Small" Cursor="Default">
                                            <BorderDetails WidthLeft="0px" WidthTop="0px"></BorderDetails>
                                        </RowStyle>
                                        <SelectedRowStyle BackColor="LightGray" ForeColor="Black"></SelectedRowStyle>
                                    </DropDownLayout>
                                    <ClientSideEvents AfterSelectChange="ddlValueList_AfterSelectChange" />
                                </igcmbo:WebCombo>
                            </td>
                        </tr>
                    </table>
                    <igtbl:UltraWebGrid ID="ugFilter" runat="server" Height="290px" Width="100%">
                        <Bands>
                            <igtbl:UltraGridBand>
                                <AddNewRow View="NotSet" Visible="No">
                                </AddNewRow>
                                <Columns>
                                    <igtbl:TemplatedColumn Key="Field" Type="DropDownList" AllowGroupBy="No" 
                                        AllowUpdate="Yes" Width="200px">
                                        <Header Caption="Field" FixedHeaderIndicator="None">
                                        </Header>
                                    </igtbl:TemplatedColumn>
                                    <igtbl:TemplatedColumn Key="Match" Type="DropDownList" AllowGroupBy="No" 
                                        Width="50px" AllowUpdate="Yes">
                                        <Header Caption="Match" FixedHeaderIndicator="None">
                                            <RowLayoutColumnInfo OriginX="1" />
                                        </Header>
                                        <Footer>
                                            <RowLayoutColumnInfo OriginX="1" />
                                        </Footer>
                                    </igtbl:TemplatedColumn>
                                    <igtbl:TemplatedColumn Key="Value" AllowGroupBy="No" 
                                        AllowUpdate="Yes" Width="200px">
                                        <Header Caption="Value" FixedHeaderIndicator="None">
                                            <RowLayoutColumnInfo OriginX="2" />
                                        </Header>
                                        <Footer>
                                            <RowLayoutColumnInfo OriginX="2" />
                                        </Footer>
                                    </igtbl:TemplatedColumn>
                                    <igtbl:TemplatedColumn Key="AndOr" Type="DropDownList" AllowGroupBy="No" 
                                        Width="50px" AllowUpdate="Yes">
                                        <Header Caption="And/or">
                                            <RowLayoutColumnInfo OriginX="3" />
                                        </Header>
                                        <Footer>
                                            <RowLayoutColumnInfo OriginX="3" />
                                        </Footer>
                                    </igtbl:TemplatedColumn>
                                    <igtbl:UltraGridColumn Hidden="True" Key="DataType" AllowGroupBy="No" 
                                        AllowUpdate="Yes">
                                        <Header>
                                            <RowLayoutColumnInfo OriginX="4" />
                                        </Header>
                                        <Footer>
                                            <RowLayoutColumnInfo OriginX="4" />
                                        </Footer>
                                    </igtbl:UltraGridColumn>
                                </Columns>
                            </igtbl:UltraGridBand>
                        </Bands>
                        <DisplayLayout 
                            AllowDeleteDefault="Yes" AllowUpdateDefault="Yes" 
                            BorderCollapseDefault="Separate" Name="ugFilter" RowHeightDefault="18px" SelectTypeRowDefault="Extended" 
                            StationaryMargins="Header" 
                            TableLayout="Fixed" Version="4.00" ColWidthDefault="-1px" 
                            IndentationDefault="1" ScrollBarView="Vertical" 
                            CellClickActionDefault="Edit" AllowAddNewDefault="Yes">
                            <FrameStyle BackColor="Window" BorderColor="InactiveCaption" 
                                BorderStyle="Solid" BorderWidth="1px" Font-Names="Microsoft Sans Serif" 
                                Font-Size="XX-Small" Height="290px" Width="100%">
                            </FrameStyle>
                            <ClientSideEvents InitializeLayoutHandler="ugFilter_InitializeLayoutHandler" AfterRowDeletedHandler="ugFilter_AfterRowDeletedHandler" 
                                BeforeRowDeletedHandler="ugFilter_BeforeRowDeletedHandler" />
                            <Pager MinimumPagesForDisplay="2">
                                <PagerStyle BackColor="LightGray" BorderStyle="Solid" BorderWidth="1px">
                                <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" 
                                    WidthTop="1px" />
                                </PagerStyle>
                            </Pager>
                            <EditCellStyleDefault BackColor="Window" BorderColor="Silver" BorderStyle="Solid" 
                                BorderWidth="1px" Font-Names="Microsoft Sans Serif" Font-Size="XX-Small">
                                <Padding Left="3px" Right="3px" />
                            </EditCellStyleDefault>
                            <FooterStyleDefault BackColor="LightGray" BorderColor="White" BorderStyle="Solid" 
                                BorderWidth="1px" Font-Names="Microsoft Sans Serif" Font-Size="XX-Small">
                                <Padding Left="3px" Right="3px" />
                            </FooterStyleDefault>
                            <HeaderStyleDefault BackColor="LightGray" BorderColor="White" BorderStyle="Solid" 
                                BorderWidth="1px" Font-Names="Microsoft Sans Serif" Font-Size="XX-Small">
                                <Padding Left="3px" Right="3px" />
                            </HeaderStyleDefault>
                            <RowSelectorStyleDefault Font-Names="Microsoft Sans Serif" Font-Size="XX-Small" 
                                HorizontalAlign="Left" VerticalAlign="Middle" Width="10px">
                                <Padding Left="0px" Right="0px" />
                            </RowSelectorStyleDefault>
                            <RowStyleDefault BackColor="Window" BorderColor="Silver" BorderStyle="Solid" 
                                BorderWidth="1px" Font-Names="Microsoft Sans Serif" Font-Size="XX-Small">
                                <Padding Left="3px" Right="3px" />
                            </RowStyleDefault>
                            <GroupByRowStyleDefault BackColor="Control" BorderColor="Window">
                            </GroupByRowStyleDefault>
                            <SelectedRowStyleDefault BackColor="#9FBEEB" BorderColor="#9FBEEB" 
                                BorderStyle="Solid" BorderWidth="1px" Cursor="Default" 
                                Font-Names="Microsoft Sans Serif" Font-Size="XX-Small">
                            </SelectedRowStyleDefault>
                            <GroupByBox>
                                <BoxStyle BackColor="ActiveBorder" BorderColor="Window">
                                </BoxStyle>
                            </GroupByBox>
                            <AddNewBox>
                                <BoxStyle BackColor="Window" BorderColor="InactiveCaption" BorderStyle="Solid" 
                                    BorderWidth="1px">
                                    <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" 
                                        WidthTop="1px" />
                                </BoxStyle>
                            </AddNewBox>
                            <ActivationObject BorderColor="" BorderWidth="">
                            </ActivationObject>
                        </DisplayLayout>
                    </igtbl:UltraWebGrid>
                    <igtxt:WebImageButton ID="wibApplyFilter" runat="server" 
                        ImageDirectory="~/ig_res/Default/images/" Text="Apply" 
                        UseBrowserDefaults="False" TabIndex="11" AutoSubmit="False">
                        <Appearance>
                            <ButtonStyle Cursor="Default" Font-Names="Microsoft Sans Serif" 
                                Font-Size="XX-Small">
                            </ButtonStyle>
                        </Appearance>
                        <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                            FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                            ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                            PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                        <ClientSideEvents Click="wibApplyFilter_Click" />
                    </igtxt:WebImageButton>
                    &nbsp;
                    <igtxt:WebImageButton ID="wibClearFilter" runat="server" 
                        ImageDirectory="~/ig_res/Default/images/" Text="Clear" 
                        UseBrowserDefaults="False" TabIndex="11" AutoSubmit="False">
                        <Appearance>
                            <ButtonStyle Cursor="Default" Font-Names="Microsoft Sans Serif" 
                                Font-Size="XX-Small">
                            </ButtonStyle>
                        </Appearance>
                        <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                            FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                            ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                            PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                        <ClientSideEvents Click="wibClearFilter_Click" />
                    </igtxt:WebImageButton>
                    &nbsp;
                    <igtxt:WebImageButton ID="wibCloseFilter" runat="server" 
                        ImageDirectory="~/ig_res/Default/images/" Text="Close" 
                        UseBrowserDefaults="False" TabIndex="11" AutoSubmit="False">
                        <Appearance>
                            <ButtonStyle Cursor="Default" Font-Names="Microsoft Sans Serif" 
                                Font-Size="XX-Small">
                            </ButtonStyle>
                        </Appearance>
                        <RoundedCorners DisabledImageUrl="ig_butXP5wh.gif" 
                            FocusImageUrl="ig_butXP3wh.gif" HoverImageUrl="ig_butXP2wh.gif" 
                            ImageUrl="ig_butXP1wh.gif" MaxHeight="80" MaxWidth="400" 
                            PressedImageUrl="ig_butXP4wh.gif" RenderingType="FileImages" />
                        <ClientSideEvents Click="wibCloseFilter_Click" />
                    </igtxt:WebImageButton>
                    <igcmbo:WebCombo id="ddlFieldList" runat="server" backcolor="White" bordercolor="Silver"
                        borderstyle="Solid" borderwidth="1px" font-names="Microsoft Sans Serif" font-size="XX-Small"
                        forecolor="Black" height="18px" selbackcolor="WhiteSmoke" selforecolor="Black"
                        tabindex="2" version="4.00">
                        <Columns>
                            <igtbl:UltraGridColumn>
                                <Header Caption="Column0">
                                </Header>
                            </igtbl:UltraGridColumn>
                        </Columns>
                        <ExpandEffects ShadowColor="LightGray" Type="Fade" ShadowWidth="5"></ExpandEffects>
                        <DropDownLayout BorderCollapse="Separate" RowHeightDefault="18px" 
                            Version="4.00" DropdownHeight="200px" DropdownWidth="200px" 
                            ColHeadersVisible="No" BaseTableName="" RowSelectors="No" 
                            ColWidthDefault="195px">
                            <FrameStyle Cursor="Auto" BackColor="WhiteSmoke" BorderWidth="2px" 
                                    BorderStyle="Ridge" Font-Names="Microsoft Sans Serif" 
                                Font-Size="XX-Small" Height="200px" Width="200px">
                            </FrameStyle>
                            <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                                <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px"></BorderDetails>
                            </HeaderStyle>
                            <RowAlternateStyle BackColor="WhiteSmoke">
                            </RowAlternateStyle>
                            <RowStyle BackColor="White" BorderColor="Gray" BorderWidth="1px" 
                                    BorderStyle="Solid" Font-Names="Microsoft Sans Serif" 
                                Font-Size="XX-Small" Cursor="Default">
                                <BorderDetails WidthLeft="0px" WidthTop="0px"></BorderDetails>
                            </RowStyle>
                            <SelectedRowStyle BackColor="LightGray" ForeColor="Black"></SelectedRowStyle>
                        </DropDownLayout>
                        <ClientSideEvents AfterSelectChange="ddlFieldList_AfterSelectChange" />
                    </igcmbo:WebCombo>
                    <igcmbo:WebCombo id="ddlMatch" runat="server" backcolor="White" bordercolor="Silver"
                        borderstyle="Solid" borderwidth="1px" font-names="Microsoft Sans Serif" font-size="XX-Small"
                        forecolor="Black" height="18px" selbackcolor="WhiteSmoke" selforecolor="Black"
                        tabindex="2" version="4.00" Width="50px">
                        <Columns>
                            <igtbl:UltraGridColumn>
                                <Header Caption="Column0">
                                </Header>
                            </igtbl:UltraGridColumn>
                        </Columns>
                        <ExpandEffects ShadowColor="LightGray" Type="Fade" ShadowWidth="5"></ExpandEffects>
                        <DropDownLayout BorderCollapse="Separate" RowHeightDefault="18px" 
                            Version="4.00" DropdownHeight="" DropdownWidth="100px" 
                            ColHeadersVisible="No" BaseTableName="" RowSelectors="No" 
                            ColWidthDefault="95px">
                            <FrameStyle Cursor="Auto" BackColor="WhiteSmoke" BorderWidth="2px" 
                                    BorderStyle="Ridge" Font-Names="Microsoft Sans Serif" 
                                Font-Size="XX-Small" Width="100px">
                            </FrameStyle>
                            <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                                <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px"></BorderDetails>
                            </HeaderStyle>
                            <RowAlternateStyle BackColor="WhiteSmoke">
                            </RowAlternateStyle>
                            <RowStyle BackColor="White" BorderColor="Gray" BorderWidth="1px" 
                                    BorderStyle="Solid" Font-Names="Microsoft Sans Serif" 
                                Font-Size="XX-Small" Cursor="Default">
                                <BorderDetails WidthLeft="0px" WidthTop="0px"></BorderDetails>
                            </RowStyle>
                            <SelectedRowStyle BackColor="LightGray" ForeColor="Black"></SelectedRowStyle>
                        </DropDownLayout>
                    </igcmbo:WebCombo>
                    <igcmbo:WebCombo id="ddlAndOr" runat="server" backcolor="White" bordercolor="Silver"
                        borderstyle="Solid" borderwidth="1px" font-names="Microsoft Sans Serif" font-size="XX-Small"
                        forecolor="Black" height="18px" selbackcolor="WhiteSmoke" selforecolor="Black"
                        tabindex="2" version="4.00" Width="50px">
                        <Columns>
                            <igtbl:UltraGridColumn>
                                <Header Caption="Column0">
                                </Header>
                            </igtbl:UltraGridColumn>
                        </Columns>
                        <ExpandEffects ShadowColor="LightGray" Type="Fade" ShadowWidth="5"></ExpandEffects>
                        <DropDownLayout BorderCollapse="Separate" RowHeightDefault="18px" 
                            Version="4.00" DropdownHeight="" DropdownWidth="50px" 
                            ColHeadersVisible="No" BaseTableName="" RowSelectors="No" 
                            ColWidthDefault="45px">
                            <FrameStyle Cursor="Auto" BackColor="WhiteSmoke" BorderWidth="2px" 
                                    BorderStyle="Ridge" Font-Names="Microsoft Sans Serif" 
                                Font-Size="XX-Small" Width="50px">
                            </FrameStyle>
                            <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                                <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px"></BorderDetails>
                            </HeaderStyle>
                            <RowAlternateStyle BackColor="WhiteSmoke">
                            </RowAlternateStyle>
                            <RowStyle BackColor="White" BorderColor="Gray" BorderWidth="1px" 
                                    BorderStyle="Solid" Font-Names="Microsoft Sans Serif" 
                                Font-Size="XX-Small" Cursor="Default">
                                <BorderDetails WidthLeft="0px" WidthTop="0px"></BorderDetails>
                            </RowStyle>
                            <SelectedRowStyle BackColor="LightGray" ForeColor="Black"></SelectedRowStyle>
                        </DropDownLayout>
                        <ClientSideEvents AfterSelectChange="ddlAndOr_AfterSelectChange" BeforeSelectChange="ddlAndOr_BeforeSelectChange" />
                    </igcmbo:WebCombo>
                </igmisc:WebAsyncRefreshPanel>
            </Template>
        </ContentPane>
    </ig:WebDialogWindow>
    <igmisc:WebAsyncRefreshPanel ID="warpGroupName" runat="server" Height="0px"
        Width="0px" OnContentRefresh="warpGroupName_ContentRefresh" TabIndex="-1" RefreshComplete="warpGroupName_RefreshComplete">
        <asp:HiddenField ID="hidGroupExists" runat="server" />
    </igmisc:WebAsyncRefreshPanel>
</asp:Content>
